Autodir HOWTO
Prev |  | Next

# 20. Autodir options

In this section some of the options to Autodir are explained. Backup options are explained in the backup section.

`-d`

  Specifies the virtual base directory. If this path does not exist, it will be created. An absolute path is expected for this option.

`-t`

  Expiration timeout for virtual directories. For more details refer to virtual directory expiration.

`-m`

  Module to be used with Autodir. Currently `autohome` and `autogroup` are available. The full path to the module is expected.

`-o`

  All suboptions that are to be passed to module are given here. This option passing syntax is similar to that of the mount command with its `-o` option. See specific module sections for more info.

`-f`

  Run in the foreground and log all messages to the console. For debugging purpose and to see how Autodir works.

`-l`

  This option expects a path name to a file in which Autodir will write its process id.

`-h`

  Help about all options supported by Autodir.

`-v`

  Version information about Autodir.

Prev | Home | Next
Managing group directories |  | Backup options